diff --git a/src/common/encnames.c b/src/common/encnames.c
index 596a23b64d..8506d091c3 100644
--- a/src/common/encnames.c
+++ b/src/common/encnames.c
@@ -300,11 +300,8 @@ static const pg_encname pg_encname_tbl[] =
  * XXX must be sorted by the same order as enum pg_enc (in mb/pg_wchar.h)
  * ----------
  */
-#ifndef WIN32
-#define DEF_ENC2NAME(name, codepage) { #name, PG_##name }
-#else
 #define DEF_ENC2NAME(name, codepage) { #name, PG_##name, codepage }
-#endif
+
 
 const pg_enc2name pg_enc2name_tbl[] =
 {
diff --git a/src/common/wchar.c b/src/common/wchar.c
index 1e6e198bf2..ff910ae12d 100644
--- a/src/common/wchar.c
+++ b/src/common/wchar.c
@@ -2186,7 +2186,7 @@ pg_encoding_verifymbstr(int encoding, const char *mbstr, int len)
 int
 pg_encoding_max_length(int encoding)
 {
-	Assert(PG_VALID_ENCODING(encoding));
-
-	return pg_wchar_table[encoding].maxmblen;
+	return (PG_VALID_ENCODING(encoding) ?
+			pg_wchar_table[encoding].maxmblen :
+			pg_wchar_table[PG_SQL_ASCII].maxmblen);
 }
